Package com.independentsoft.office.word

# Class Paragraph

java.lang.Object
com.independentsoft.office.word.Paragraph

All Implemented Interfaces:
  `IContentElement`, `IBlockContent`, `IBlockElement`

public class Paragraph extends Object implements IBlockContent
The Class Paragraph.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Paragraph()`
  Instantiates a new paragraph.
  `Paragraph​(InternalXMLStreamReader reader)`
  Instantiates a new paragraph.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add​(CustomXmlRun customXmlRun)`
  Adds the.
  `void`
  `add​(SmartTag smartTag)`
  Adds the.
  `void`
  `add​(StructuredDocumentTagRun structuredDocumentTagRun)`
  Adds the.
  `void`
  `add​(SimpleField simpleField)`
  Adds the.
  `void`
  `add​(Hyperlink hyperlink)`
  Adds the.
  `void`
  `add​(IParagraphContent contentElement)`
  Adds the.
  `void`
  `add​(Run run)`
  Adds the.
  `Paragraph`
  `clone()`
  `ExtendedBoolean`
  `getAdjustRightIndent()`
  Gets the adjust right indent.
  `ExtendedBoolean`
  `getAdjustSpaceEastAsianAndNumbers()`
  Gets the adjust space east asian and numbers.
  `ExtendedBoolean`
  `getAdjustSpaceLatinAndEastAsian()`
  Gets the adjust space latin and east asian.
  `ExtendedBoolean`
  `getAllowPunctuation()`
  Gets the allow punctuation.
  `BarBorder`
  `getBarBorder()`
  Gets the bar border.
  `BetweenBorder`
  `getBetweenBorder()`
  Gets the between border.
  `BottomBorder`
  `getBottomBorder()`
  Gets the bottom border.
  `ConditionalFormatting`
  `getConditionalFormatting()`
  Gets the conditional formatting.
  `List<IParagraphContent>`
  `getContent()`
  Gets the content.
  `List<IContentElement>`
  `getContentElements()`
  `String`
  `getDeletionRevisionID()`
  Gets the deletion revision id.
  `long`
  `getDivID()`
  Gets the div id.
  `TextFrame`
  `getFrame()`
  Gets the frame.
  `String`
  `getGlyphFormattingRevisionID()`
  Gets the glyph formatting revision id.
  `HorizontalAlignmentType`
  `getHorizontalTextAlignment()`
  Gets the horizontal text alignment.
  `ExtendedBoolean`
  `getIgnoreSpace()`
  Gets the ignore space.
  `Indentation`
  `getIndentation()`
  Gets the indentation.
  `ExtendedBoolean`
  `getKeepLines()`
  Gets the keep lines.
  `ExtendedBoolean`
  `getKeepNext()`
  Gets the keep next.
  `ExtendedBoolean`
  `getKinsoku()`
  Gets the kinsoku.
  `LeftBorder`
  `getLeftBorder()`
  Gets the left border.
  `ExtendedBoolean`
  `getMirrorIndents()`
  Gets the mirror indents.
  `NumberingReference`
  `getNumberingReference()`
  Gets the numbering reference.
  `int`
  `getOutlineLevel()`
  Gets the outline level.
  `ExtendedBoolean`
  `getPageBreakBefore()`
  Gets the page break before.
  `String`
  `getParagraphID()`
  Gets the paragraph id (w14:paraId).
  `RunProperties`
  `getParagraphMarkRunProperties()`
  Gets the paragraph mark run properties.
  `String`
  `getPropertiesRevisionID()`
  Gets the properties revision id.
  `ParagraphPropertiesRevision`
  `getRevision()`
  Gets the revision.
  `String`
  `getRevisionID()`
  Gets the revision id.
  `RightBorder`
  `getRightBorder()`
  Gets the right border.
  `ExtendedBoolean`
  `getRightToLeft()`
  Gets the right to left.
  `String`
  `getRunRevisionID()`
  Gets the run revision id.
  `Section`
  `getSection()`
  Gets the section.
  `Shading`
  `getShading()`
  Gets the shading.
  `ExtendedBoolean`
  `getSnapToGrid()`
  Gets the snap to grid.
  `Spacing`
  `getSpacing()`
  Gets the spacing.
  `String`
  `getStyleName()`
  Gets the style name.
  `ExtendedBoolean`
  `getSuppressAutoHyphens()`
  Gets the suppress auto hyphens.
  `ExtendedBoolean`
  `getSuppressLineNumbers()`
  Gets the suppress line numbers.
  `ExtendedBoolean`
  `getSuppressOverlap()`
  Gets the suppress overlap.
  `List<Tab>`
  `getTabs()`
  Gets the tabs.
  `TextboxTightWrap`
  `getTextboxTightWrap()`
  Gets the textbox tight wrap.
  `TextDirection`
  `getTextDirection()`
  Gets the text direction.
  `String`
  `getTextID()`
  Gets the text id (w14:textId).
  `TopBorder`
  `getTopBorder()`
  Gets the top border.
  `ExtendedBoolean`
  `getTopLinePunctuation()`
  Gets the top line punctuation.
  `VerticalTextAlignment`
  `getVerticalTextAlignment()`
  Gets the vertical text alignment.
  `ExtendedBoolean`
  `getWidowControl()`
  Gets the widow control.
  `ExtendedBoolean`
  `getWordWrap()`
  Gets the word wrap.
  `void`
  `setAdjustRightIndent​(ExtendedBoolean adjustRightIndent)`
  Sets the adjust right indent.
  `void`
  `setAdjustSpaceEastAsianAndNumbers​(ExtendedBoolean adjustSpaceEastAsianAndNumbers)`
  Sets the adjust space east asian and numbers.
  `void`
  `setAdjustSpaceLatinAndEastAsian​(ExtendedBoolean adjustSpaceLatinAndEastAsian)`
  Sets the adjust space latin and east asian.
  `void`
  `setAllowPunctuation​(ExtendedBoolean allowPunctuation)`
  Sets the allow punctuation.
  `void`
  `setBarBorder​(BarBorder barBorder)`
  Sets the bar border.
  `void`
  `setBetweenBorder​(BetweenBorder betweenBorder)`
  Sets the between border.
  `void`
  `setBottomBorder​(BottomBorder bottomBorder)`
  Sets the bottom border.
  `void`
  `setConditionalFormatting​(ConditionalFormatting conditionalFormatting)`
  Sets the conditional formatting.
  `void`
  `setDeletionRevisionID​(String deletionRevisionID)`
  Sets the deletion revision id.
  `void`
  `setDivID​(long divID)`
  Sets the div id.
  `void`
  `setFrame​(TextFrame frame)`
  Sets the frame.
  `void`
  `setGlyphFormattingRevisionID​(String glyphFormattingRevisionID)`
  Sets the glyph formatting revision id.
  `void`
  `setHorizontalTextAlignment​(HorizontalAlignmentType horizontalTextAlignment)`
  Sets the horizontal text alignment.
  `void`
  `setIgnoreSpace​(ExtendedBoolean ignoreSpace)`
  Sets the ignore space.
  `void`
  `setIndentation​(Indentation indentation)`
  Sets the indentation.
  `void`
  `setKeepLines​(ExtendedBoolean keepLines)`
  Sets the keep lines.
  `void`
  `setKeepNext​(ExtendedBoolean keepNext)`
  Sets the keep next.
  `void`
  `setKinsoku​(ExtendedBoolean kinsoku)`
  Sets the kinsoku.
  `void`
  `setLeftBorder​(LeftBorder leftBorder)`
  Sets the left border.
  `void`
  `setMirrorIndents​(ExtendedBoolean mirrorIndents)`
  Sets the mirror indents.
  `void`
  `setNumberingReference​(NumberingReference numberingReference)`
  Sets the numbering reference.
  `void`
  `setOutlineLevel​(int outlineLevel)`
  Sets the outline level.
  `void`
  `setPageBreakBefore​(ExtendedBoolean pageBreakBefore)`
  Sets the page break before.
  `void`
  `setParagraphID​(String paragraphID)`
  Sets the paragraph id (w14:paraId).
  `void`
  `setPropertiesRevisionID​(String propertiesRevisionID)`
  Sets the properties revision id.
  `void`
  `setRevision​(ParagraphPropertiesRevision revision)`
  Sets the revision.
  `void`
  `setRevisionID​(String revisionID)`
  Sets the revision id.
  `void`
  `setRightBorder​(RightBorder rightBorder)`
  Sets the right border.
  `void`
  `setRightToLeft​(ExtendedBoolean rightToLeft)`
  Sets the right to left.
  `void`
  `setRunRevisionID​(String runRevisionID)`
  Sets the run revision id.
  `void`
  `setSection​(Section section)`
  Sets the section.
  `void`
  `setShading​(Shading shading)`
  Sets the shading.
  `void`
  `setSnapToGrid​(ExtendedBoolean snapToGrid)`
  Sets the snap to grid.
  `void`
  `setSpacing​(Spacing spacing)`
  Sets the spacing.
  `void`
  `setStyleName​(String styleName)`
  Sets the style name.
  `void`
  `setSuppressAutoHyphens​(ExtendedBoolean suppressAutoHyphens)`
  Sets the suppress auto hyphens.
  `void`
  `setSuppressLineNumbers​(ExtendedBoolean suppressLineNumbers)`
  Sets the suppress line numbers.
  `void`
  `setSuppressOverlap​(ExtendedBoolean suppressOverlap)`
  Sets the suppress overlap.
  `void`
  `setTextboxTightWrap​(TextboxTightWrap textboxTightWrap)`
  Sets the textbox tight wrap.
  `void`
  `setTextDirection​(TextDirection textDirection)`
  Sets the text direction.
  `void`
  `setTextID​(String textID)`
  Sets the text id (w14:textId).
  `void`
  `setTopBorder​(TopBorder topBorder)`
  Sets the top border.
  `void`
  `setTopLinePunctuation​(ExtendedBoolean topLinePunctuation)`
  Sets the top line punctuation.
  `void`
  `setVerticalTextAlignment​(VerticalTextAlignment verticalTextAlignment)`
  Sets the vertical text alignment.
  `void`
  `setWidowControl​(ExtendedBoolean widowControl)`
  Sets the widow control.
  `void`
  `setWordWrap​(ExtendedBoolean wordWrap)`
  Sets the word wrap.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Paragraph

    public Paragraph()
    Instantiates a new paragraph.

  - ### Paragraph

    public Paragraph​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new paragraph.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### add

    public void add​(Run run)
    Adds the.
    Parameters:
      `run` - the run

  - ### add

    public void add​(Hyperlink hyperlink)
    Adds the.
    Parameters:
      `hyperlink` - the hyperlink

  - ### add

    public void add​(SimpleField simpleField)
    Adds the.
    Parameters:
      `simpleField` - the simple field

  - ### add

    public void add​(SmartTag smartTag)
    Adds the.
    Parameters:
      `smartTag` - the smart tag

  - ### add

    public void add​(CustomXmlRun customXmlRun)
    Adds the.
    Parameters:
      `customXmlRun` - the custom xml run

  - ### add

    public void add​(StructuredDocumentTagRun structuredDocumentTagRun)
    Adds the.
    Parameters:
      `structuredDocumentTagRun` - the structured document tag run

  - ### add

    public void add​(IParagraphContent contentElement)
    Adds the.
    Parameters:
      `contentElement` - the content element

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Specified by:
      `getContentElements` in interface `IContentElement`

  - ### clone

    public Paragraph clone()
    Specified by:
      `clone` in interface `IBlockContent`
    Specified by:
      `clone` in interface `IBlockElement`
    Specified by:
      `clone` in interface `IContentElement`
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getContent

    public List<IParagraphContent> getContent()
    Gets the content.
    Returns:
      the content

  - ### getDeletionRevisionID

    public String getDeletionRevisionID()
    Gets the deletion revision id.
    Returns:
      the deletion revision id

  - ### setDeletionRevisionID

    public void setDeletionRevisionID​(String deletionRevisionID)
    Sets the deletion revision id.
    Parameters:
      `deletionRevisionID` - the new deletion revision id

  - ### getRevisionID

    public String getRevisionID()
    Gets the revision id.
    Returns:
      the revision id

  - ### setRevisionID

    public void setRevisionID​(String revisionID)
    Sets the revision id.
    Parameters:
      `revisionID` - the new revision id

  - ### getPropertiesRevisionID

    public String getPropertiesRevisionID()
    Gets the properties revision id.
    Returns:
      the properties revision id

  - ### setPropertiesRevisionID

    public void setPropertiesRevisionID​(String propertiesRevisionID)
    Sets the properties revision id.
    Parameters:
      `propertiesRevisionID` - the new properties revision id

  - ### getGlyphFormattingRevisionID

    public String getGlyphFormattingRevisionID()
    Gets the glyph formatting revision id.
    Returns:
      the glyph formatting revision id

  - ### setGlyphFormattingRevisionID

    public void setGlyphFormattingRevisionID​(String glyphFormattingRevisionID)
    Sets the glyph formatting revision id.
    Parameters:
      `glyphFormattingRevisionID` - the new glyph formatting revision id

  - ### getParagraphID

    public String getParagraphID()
    Gets the paragraph id (w14:paraId).
    Returns:
      the paragraph id

  - ### setParagraphID

    public void setParagraphID​(String paragraphID)
    Sets the paragraph id (w14:paraId).
    Parameters:
      `paragraphID` - the new paragraph id

  - ### getTextID

    public String getTextID()
    Gets the text id (w14:textId).
    Returns:
      the text id

  - ### setTextID

    public void setTextID​(String textID)
    Sets the text id (w14:textId).
    Parameters:
      `textID` - the new text id

  - ### getRunRevisionID

    public String getRunRevisionID()
    Gets the run revision id.
    Returns:
      the run revision id

  - ### setRunRevisionID

    public void setRunRevisionID​(String runRevisionID)
    Sets the run revision id.
    Parameters:
      `runRevisionID` - the new run revision id

  - ### getRightToLeft

    public ExtendedBoolean getRightToLeft()
    Gets the right to left.
    Returns:
      the right to left

  - ### setRightToLeft

    public void setRightToLeft​(ExtendedBoolean rightToLeft)
    Sets the right to left.
    Parameters:
      `rightToLeft` - the new right to left

  - ### getAdjustRightIndent

    public ExtendedBoolean getAdjustRightIndent()
    Gets the adjust right indent.
    Returns:
      the adjust right indent

  - ### setAdjustRightIndent

    public void setAdjustRightIndent​(ExtendedBoolean adjustRightIndent)
    Sets the adjust right indent.
    Parameters:
      `adjustRightIndent` - the new adjust right indent

  - ### getKeepLines

    public ExtendedBoolean getKeepLines()
    Gets the keep lines.
    Returns:
      the keep lines

  - ### setKeepLines

    public void setKeepLines​(ExtendedBoolean keepLines)
    Sets the keep lines.
    Parameters:
      `keepLines` - the new keep lines

  - ### getKeepNext

    public ExtendedBoolean getKeepNext()
    Gets the keep next.
    Returns:
      the keep next

  - ### setKeepNext

    public void setKeepNext​(ExtendedBoolean keepNext)
    Sets the keep next.
    Parameters:
      `keepNext` - the new keep next

  - ### getKinsoku

    public ExtendedBoolean getKinsoku()
    Gets the kinsoku.
    Returns:
      the kinsoku

  - ### setKinsoku

    public void setKinsoku​(ExtendedBoolean kinsoku)
    Sets the kinsoku.
    Parameters:
      `kinsoku` - the new kinsoku

  - ### getPageBreakBefore

    public ExtendedBoolean getPageBreakBefore()
    Gets the page break before.
    Returns:
      the page break before

  - ### setPageBreakBefore

    public void setPageBreakBefore​(ExtendedBoolean pageBreakBefore)
    Sets the page break before.
    Parameters:
      `pageBreakBefore` - the new page break before

  - ### getIgnoreSpace

    public ExtendedBoolean getIgnoreSpace()
    Gets the ignore space.
    Returns:
      the ignore space

  - ### setIgnoreSpace

    public void setIgnoreSpace​(ExtendedBoolean ignoreSpace)
    Sets the ignore space.
    Parameters:
      `ignoreSpace` - the new ignore space

  - ### getSnapToGrid

    public ExtendedBoolean getSnapToGrid()
    Gets the snap to grid.
    Returns:
      the snap to grid

  - ### setSnapToGrid

    public void setSnapToGrid​(ExtendedBoolean snapToGrid)
    Sets the snap to grid.
    Parameters:
      `snapToGrid` - the new snap to grid

  - ### getSuppressAutoHyphens

    public ExtendedBoolean getSuppressAutoHyphens()
    Gets the suppress auto hyphens.
    Returns:
      the suppress auto hyphens

  - ### setSuppressAutoHyphens

    public void setSuppressAutoHyphens​(ExtendedBoolean suppressAutoHyphens)
    Sets the suppress auto hyphens.
    Parameters:
      `suppressAutoHyphens` - the new suppress auto hyphens

  - ### getSuppressLineNumbers

    public ExtendedBoolean getSuppressLineNumbers()
    Gets the suppress line numbers.
    Returns:
      the suppress line numbers

  - ### setSuppressLineNumbers

    public void setSuppressLineNumbers​(ExtendedBoolean suppressLineNumbers)
    Sets the suppress line numbers.
    Parameters:
      `suppressLineNumbers` - the new suppress line numbers

  - ### getSuppressOverlap

    public ExtendedBoolean getSuppressOverlap()
    Gets the suppress overlap.
    Returns:
      the suppress overlap

  - ### setSuppressOverlap

    public void setSuppressOverlap​(ExtendedBoolean suppressOverlap)
    Sets the suppress overlap.
    Parameters:
      `suppressOverlap` - the new suppress overlap

  - ### getWordWrap

    public ExtendedBoolean getWordWrap()
    Gets the word wrap.
    Returns:
      the word wrap

  - ### setWordWrap

    public void setWordWrap​(ExtendedBoolean wordWrap)
    Sets the word wrap.
    Parameters:
      `wordWrap` - the new word wrap

  - ### getTopLinePunctuation

    public ExtendedBoolean getTopLinePunctuation()
    Gets the top line punctuation.
    Returns:
      the top line punctuation

  - ### setTopLinePunctuation

    public void setTopLinePunctuation​(ExtendedBoolean topLinePunctuation)
    Sets the top line punctuation.
    Parameters:
      `topLinePunctuation` - the new top line punctuation

  - ### getWidowControl

    public ExtendedBoolean getWidowControl()
    Gets the widow control.
    Returns:
      the widow control

  - ### setWidowControl

    public void setWidowControl​(ExtendedBoolean widowControl)
    Sets the widow control.
    Parameters:
      `widowControl` - the new widow control

  - ### getMirrorIndents

    public ExtendedBoolean getMirrorIndents()
    Gets the mirror indents.
    Returns:
      the mirror indents

  - ### setMirrorIndents

    public void setMirrorIndents​(ExtendedBoolean mirrorIndents)
    Sets the mirror indents.
    Parameters:
      `mirrorIndents` - the new mirror indents

  - ### getAllowPunctuation

    public ExtendedBoolean getAllowPunctuation()
    Gets the allow punctuation.
    Returns:
      the allow punctuation

  - ### setAllowPunctuation

    public void setAllowPunctuation​(ExtendedBoolean allowPunctuation)
    Sets the allow punctuation.
    Parameters:
      `allowPunctuation` - the new allow punctuation

  - ### getAdjustSpaceLatinAndEastAsian

    public ExtendedBoolean getAdjustSpaceLatinAndEastAsian()
    Gets the adjust space latin and east asian.
    Returns:
      the adjust space latin and east asian

  - ### setAdjustSpaceLatinAndEastAsian

    public void setAdjustSpaceLatinAndEastAsian​(ExtendedBoolean adjustSpaceLatinAndEastAsian)
    Sets the adjust space latin and east asian.
    Parameters:
      `adjustSpaceLatinAndEastAsian` - the new adjust space latin and east asian

  - ### getAdjustSpaceEastAsianAndNumbers

    public ExtendedBoolean getAdjustSpaceEastAsianAndNumbers()
    Gets the adjust space east asian and numbers.
    Returns:
      the adjust space east asian and numbers

  - ### setAdjustSpaceEastAsianAndNumbers

    public void setAdjustSpaceEastAsianAndNumbers​(ExtendedBoolean adjustSpaceEastAsianAndNumbers)
    Sets the adjust space east asian and numbers.
    Parameters:
      `adjustSpaceEastAsianAndNumbers` - the new adjust space east asian and numbers

  - ### getBarBorder

    public BarBorder getBarBorder()
    Gets the bar border.
    Returns:
      the bar border

  - ### setBarBorder

    public void setBarBorder​(BarBorder barBorder)
    Sets the bar border.
    Parameters:
      `barBorder` - the new bar border

  - ### getBetweenBorder

    public BetweenBorder getBetweenBorder()
    Gets the between border.
    Returns:
      the between border

  - ### setBetweenBorder

    public void setBetweenBorder​(BetweenBorder betweenBorder)
    Sets the between border.
    Parameters:
      `betweenBorder` - the new between border

  - ### getTopBorder

    public TopBorder getTopBorder()
    Gets the top border.
    Returns:
      the top border

  - ### setTopBorder

    public void setTopBorder​(TopBorder topBorder)
    Sets the top border.
    Parameters:
      `topBorder` - the new top border

  - ### getLeftBorder

    public LeftBorder getLeftBorder()
    Gets the left border.
    Returns:
      the left border

  - ### setLeftBorder

    public void setLeftBorder​(LeftBorder leftBorder)
    Sets the left border.
    Parameters:
      `leftBorder` - the new left border

  - ### getBottomBorder

    public BottomBorder getBottomBorder()
    Gets the bottom border.
    Returns:
      the bottom border

  - ### setBottomBorder

    public void setBottomBorder​(BottomBorder bottomBorder)
    Sets the bottom border.
    Parameters:
      `bottomBorder` - the new bottom border

  - ### getRightBorder

    public RightBorder getRightBorder()
    Gets the right border.
    Returns:
      the right border

  - ### setRightBorder

    public void setRightBorder​(RightBorder rightBorder)
    Sets the right border.
    Parameters:
      `rightBorder` - the new right border

  - ### getDivID

    public long getDivID()
    Gets the div id.
    Returns:
      the div id

  - ### setDivID

    public void setDivID​(long divID)
    Sets the div id.
    Parameters:
      `divID` - the new div id

  - ### getOutlineLevel

    public int getOutlineLevel()
    Gets the outline level.
    Returns:
      the outline level

  - ### setOutlineLevel

    public void setOutlineLevel​(int outlineLevel)
    Sets the outline level.
    Parameters:
      `outlineLevel` - the new outline level

  - ### getStyleName

    public String getStyleName()
    Gets the style name.
    Returns:
      the style name

  - ### setStyleName

    public void setStyleName​(String styleName)
    Sets the style name.
    Parameters:
      `styleName` - the new style name

  - ### getSection

    public Section getSection()
    Gets the section.
    Returns:
      the section

  - ### setSection

    public void setSection​(Section section)
    Sets the section.
    Parameters:
      `section` - the new section

  - ### getFrame

    public TextFrame getFrame()
    Gets the frame.
    Returns:
      the frame

  - ### setFrame

    public void setFrame​(TextFrame frame)
    Sets the frame.
    Parameters:
      `frame` - the new frame

  - ### getShading

    public Shading getShading()
    Gets the shading.
    Returns:
      the shading

  - ### setShading

    public void setShading​(Shading shading)
    Sets the shading.
    Parameters:
      `shading` - the new shading

  - ### getSpacing

    public Spacing getSpacing()
    Gets the spacing.
    Returns:
      the spacing

  - ### setSpacing

    public void setSpacing​(Spacing spacing)
    Sets the spacing.
    Parameters:
      `spacing` - the new spacing

  - ### getNumberingReference

    public NumberingReference getNumberingReference()
    Gets the numbering reference.
    Returns:
      the numbering reference

  - ### setNumberingReference

    public void setNumberingReference​(NumberingReference numberingReference)
    Sets the numbering reference.
    Parameters:
      `numberingReference` - the new numbering reference

  - ### getParagraphMarkRunProperties

    public RunProperties getParagraphMarkRunProperties()
    Gets the paragraph mark run properties.
    Returns:
      the paragraph mark run properties

  - ### getConditionalFormatting

    public ConditionalFormatting getConditionalFormatting()
    Gets the conditional formatting.
    Returns:
      the conditional formatting

  - ### setConditionalFormatting

    public void setConditionalFormatting​(ConditionalFormatting conditionalFormatting)
    Sets the conditional formatting.
    Parameters:
      `conditionalFormatting` - the new conditional formatting

  - ### getIndentation

    public Indentation getIndentation()
    Gets the indentation.
    Returns:
      the indentation

  - ### setIndentation

    public void setIndentation​(Indentation indentation)
    Sets the indentation.
    Parameters:
      `indentation` - the new indentation

  - ### getHorizontalTextAlignment

    public HorizontalAlignmentType getHorizontalTextAlignment()
    Gets the horizontal text alignment.
    Returns:
      the horizontal text alignment

  - ### setHorizontalTextAlignment

    public void setHorizontalTextAlignment​(HorizontalAlignmentType horizontalTextAlignment)
    Sets the horizontal text alignment.
    Parameters:
      `horizontalTextAlignment` - the new horizontal text alignment

  - ### getTextDirection

    public TextDirection getTextDirection()
    Gets the text direction.
    Returns:
      the text direction

  - ### setTextDirection

    public void setTextDirection​(TextDirection textDirection)
    Sets the text direction.
    Parameters:
      `textDirection` - the new text direction

  - ### getTextboxTightWrap

    public TextboxTightWrap getTextboxTightWrap()
    Gets the textbox tight wrap.
    Returns:
      the textbox tight wrap

  - ### setTextboxTightWrap

    public void setTextboxTightWrap​(TextboxTightWrap textboxTightWrap)
    Sets the textbox tight wrap.
    Parameters:
      `textboxTightWrap` - the new textbox tight wrap

  - ### getVerticalTextAlignment

    public VerticalTextAlignment getVerticalTextAlignment()
    Gets the vertical text alignment.
    Returns:
      the vertical text alignment

  - ### setVerticalTextAlignment

    public void setVerticalTextAlignment​(VerticalTextAlignment verticalTextAlignment)
    Sets the vertical text alignment.
    Parameters:
      `verticalTextAlignment` - the new vertical text alignment

  - ### getTabs

    public List<Tab> getTabs()
    Gets the tabs.
    Returns:
      the tabs

  - ### getRevision

    public ParagraphPropertiesRevision getRevision()
    Gets the revision.
    Returns:
      the revision

  - ### setRevision

    public void setRevision​(ParagraphPropertiesRevision revision)
    Sets the revision.
    Parameters:
      `revision` - the new revision